Bug 96999 - xinerama and Matrox G450 screen corruption
xinerama and Matrox G450 screen corruption
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-08 09:50 EDT by gary parker
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 13:05:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gary parker 2003-06-08 09:50:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Win 9x 4.90)

Description of problem:
I am running redhat 8.0.
I have a G450 quad head card.
With Xfree86 and xinerama option I can only get the first head output to work 
correctly. The other heads display a corrupted image. An xterm can be dragged 
from first display across to a second but the resulting image is corrupted on 
2nd screen.
I can only get the 2nd, etc to display anything if I explictly set the VideoRam 
option of the Device section.
Are there any special options I should set. It looks as though its almost 
working but for some magic option I'm missing.

I seem to have all the usual settings in XF86Config that
appear on various web pages for xinerama.
Is it important that I set option MGASDRAM instead of VideoRam?
Is their a magic Xaa option?
I have obtained latest mga_drv.o from matrox.







Version-Release number of selected component (if applicable):
standard version that came with personal redhat CD

How reproducible:
Always

Steps to Reproduce:
1.Setup XF86Config for xinerama and 4 heads
    

Expected Results:  Should have all heads appear as single graphics logical 
screen

Additional info:
Comment 1 Mike A. Harris 2004-09-01 13:05:37 EDT
G450 quad-head isn't supported by the mga driver from what I can
see in the sources.  You'll probably have to use the proprietary
unsupported Matrox driver.

Setting status to "NOTABUG"

Note You need to log in before you can comment on or make changes to this bug.